Loading...
Searching...
No Matches
CCommutativeSpecialPairMultiplier Class Reference

`#include <ncSAMult.h>`

## Public Member Functions

| CCommutativeSpecialPairMultiplier (ring r, int i, int j)
virtual | ~CCommutativeSpecialPairMultiplier ()
virtual poly | MultiplyEE (const int expLeft, const int expRight)
Public Member Functions inherited from CSpecialPairMultiplier
| CSpecialPairMultiplier (ring r, int i, int j)
virtual | ~CSpecialPairMultiplier ()
int | GetI () const
int | GetJ () const
virtual poly | MultiplyME (const poly pMonom, const CExponent expRight)
virtual poly | MultiplyEM (const CExponent expLeft, const poly pMonom)
Public Member Functions inherited from CMultiplier< int >
| CMultiplier (ring rBaseRing)
virtual | ~CMultiplier ()
ring | GetBasering () const
int | NVars () const
poly | LM (const poly pTerm, const ring r, int i=1) const
poly | MultiplyTE (const poly pTerm, const int expRight)
poly | MultiplyET (const int expLeft, const poly pTerm)

## Additional Inherited Members

Public Types inherited from CSpecialPairMultiplier
typedef int | CExponent
Protected Attributes inherited from CMultiplier< int >
const ring | m_basering
const int | m_NVars

## Detailed Description

Definition at line 500 of file ncSAMult.h.

## Constructor & Destructor Documentation

## CCommutativeSpecialPairMultiplier()

CCommutativeSpecialPairMultiplier::CCommutativeSpecialPairMultiplier | ( | ring | r,
|  | int | i,
|  | int | j )

Definition at line 522 of file ncSAMult.cc.

:
CSpecialPairMultiplier(r, i, j)
{
#if OUTPUT
Print("CCommutativeSpecialPairMultiplier::CCommutativeSpecialPairMultiplier(ring, i: %d, j: %d)!", i, j);
PrintLn();
#endif
}
i
int i
Definition cfEzgcd.cc:132
CSpecialPairMultiplier::CSpecialPairMultiplier
CSpecialPairMultiplier(ring r, int i, int j)
Definition ncSAMult.cc:1060
Print
#define Print
Definition emacs.cc:80
j
int j
Definition facHensel.cc:110
PrintLn
void PrintLn()
Definition reporter.cc:314

## ~CCommutativeSpecialPairMultiplier()

CCommutativeSpecialPairMultiplier::~CCommutativeSpecialPairMultiplier | ( |  | ) |

virtual

Definition at line 532 of file ncSAMult.cc.

{
#if OUTPUT
PrintS("CCommutativeSpecialPairMultiplier::~CCommutativeSpecialPairMultiplier()");
PrintLn();
#endif
}
PrintS
void PrintS(const char *s)
Definition reporter.cc:288

## Member Function Documentation

## MultiplyEE()

poly CCommutativeSpecialPairMultiplier::MultiplyEE | ( | const int | expLeft,
|  | const int | expRight )

virtual

Implements CSpecialPairMultiplier.

Definition at line 541 of file ncSAMult.cc.

{
#if OUTPUT
Print("CCommutativeSpecialPairMultiplier::MultiplyEE(var(%d)^{%d}, var(%d)^{%d})!", GetJ(), expLeft, GetI(), expRight);
PrintLn();
#endif
const ring r = GetBasering();
return CFormulaPowerMultiplier::ncSA_1xy0x0y0(GetI(), GetJ(), expRight, expLeft, r);
}
CFormulaPowerMultiplier::ncSA_1xy0x0y0
static poly ncSA_1xy0x0y0(const int i, const int j, const int n, const int m, const ring r)
Definition ncSAFormula.cc:715
CMultiplier< int >::GetBasering
ring GetBasering() const
Definition ncSAMult.h:35
CSpecialPairMultiplier::GetI
int GetI() const
Definition ncSAMult.h:108
CSpecialPairMultiplier::GetJ
int GetJ() const
Definition ncSAMult.h:109

The documentation for this class was generated from the following files:

- libpolys/polys/nc/ncSAMult.h
- libpolys/polys/nc/ncSAMult.cc